require 'time'
require 'rest-client'
require 'simple-hmac'
require 'json'
require_relative 'wizypay/api_client'
require_relative 'wizypay/resource'
require_relative 'wizypay/collection'
require_relative 'wizypay/card_methods'
require_relative 'wizypay/debit_card'
require_relative 'wizypay/gift_card'
require_relative 'wizypay/vdc_operation'
require_relative 'wizypay/refund'
require_relative 'wizypay/ad'
require_relative 'wizypay/merchant_category'
require_relative 'wizypay/merchant'
require_relative 'wizypay/merchant_version'
require_relative 'wizypay/beneficiary'
require_relative 'wizypay/balance_report'
require_relative 'wizypay/program'

module Wizypay
  def self.setup(api_key, api_secret, api_endpoint = 'https://api.wizypay.com')
    Wizypay::ApiClient.api_endpoint = api_endpoint
    Wizypay::ApiClient.api_key      = api_key
    Wizypay::ApiClient.api_secret   = api_secret
    nil
  end
end
